SoMFMatrix(3)

NAME
SoMFMatrix - The SoMFMatrix class is a container for SbMatrix values.

SYNOPSIS

#include <Inventor/fields/SoMFMatrix.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFMatrix & operator= (const SoMFMatrix &field)
virtual SbBool isSame (const SoField &field) const
const SbMatrix & operator[] (const int idx) const
const SbMatrix * getValues (const int start) const
int find (const SbMatrix &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbMatrix *newvals)
void set1Value (const int idx, const SbMatrix &value)
void setValue (const SbMatrix &value)
const SbMatrix & operator= (const SbMatrix &val)
SbBool operator== (const SoMFMatrix &field) const
SbBool operator!= (const SoMFMatrix &field) const
SbMatrix * startEditing (void)
void finishEditing (void)
void setValue (const float a11, const float a12, const float a13, const float a14, const float a21, const float a22, const float a23, const float a24, const float a31, const float a32, const float a33, const float a34, const float a41, const float a42, const float a43, const float a44)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbMatrix * values

  Additional Inherited Members

Detailed Description

The SoMFMatrix class is a container for SbMatrix values. This field is used where nodes, engines or other field containers needs to store matrices.

See also
    SoSFMatrix

Member Function Documentation

  void * SoMFMatrix::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFMatrix::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFMatrix::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFMatrix::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFMatrix::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFMatrix::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFMatrix::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbMatrix * SoMFMatrix::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFMatrix::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFMatrix::setValue (const float a11, const float a12, const float a13, const float a14, const float a21, const float a22, const float a23, const float a24, const float a31, const float a32, const float a33, const float a34, const float a41, const float a42, const float a43, const float a44)
Set field value array to a single matrix with the given components.

Author

Generated automatically by Doxygen for Coin from the source code.